# Class: App.TestMethodDocumentation

Defined in: | node_modules/grunt-codo/node_modules/codo/spec/_templates/methods/method_documentation.coffee
Inherits: | App.Doc

## Class Method Summary

- . (Boolean) lets_do_it(it, options) Private Do it!

## Instance Method Summary

- # (?) fetchLimit() Should be overloaded to change fetch limit.
- # (Boolean) do(it, again, options) Private Do it!
- # (Boolean) doWithoutSpace(it, again, options) Private Do it!

## Class Method Details

. (Boolean) lets_do_it(it, options) Private

Do it!

### Parameters:

- it ( `String` ) — The thing to do
- options ( `Object` ) — The do options

### Options Hash: (options):

- speed ( `String` ) — The speed
- repeat ( `Number` ) — How wany time to repeat
- tasks ( `Array<Tasks>` ) — The tasks to do

### Returns:

- ( `Boolean` ) — When successful executed

### See also:

- for more information

## Instance Method Details

# (?) fetchLimit()

Should be overloaded to change fetch limit.

### Returns:

- ( `?` ) — Number of items per fetch

# (Boolean) do(it, again, options) Private

Do it!

### Parameters:

- it ( `String` ) — The thing to do
- again ( `Boolean` ) — Do it again
- options ( `Object` ) — The do options

### Options Hash: (options):

- speed ( `String` ) — The speed
- repeat ( `Number` ) — How wany time to repeat
- tasks ( `Array<Tasks>` ) — The tasks to do

### Throws:

- ( `TypeError` ) — when it can't be done

### Returns:

- ( `Boolean` ) — When successful executed

### See also:

- for more information

# (Boolean) doWithoutSpace(it, again, options) Private

Do it!

### Parameters:

- it ( `String` ) — The thing to do
- again ( `Boolean` ) — Do it again
- options ( `Object` ) — The do options

### Options Hash: (options):

- speed ( `String` ) — The speed
- repeat ( `Number` ) — How wany time to repeat
- tasks ( `Array<Tasks>` ) — The tasks to do

### Returns:

- ( `Boolean` ) — When successful executed

### See also:

- for more information

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input